package com.heyu.api.data.service.impl.operation;
/**
* <p>
* 场景列表，同一个时间点，如果行为有冲突，以最后添加的条件为准（时间精度：分） 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.operation.OperatinSceneDao;
import com.heyu.api.data.entity.operation.OperatinSceneEntity;
import com.heyu.api.data.service.operation.OperatinSceneService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class OperatinSceneServiceImpl extends ServiceImpl<OperatinSceneDao, OperatinSceneEntity> implements OperatinSceneService {


    @Autowired
	private OperatinSceneDao operatinSceneDao;



	@Override
	public OperatinSceneEntity selectOperatinSceneById(Long id){
		return operatinSceneDao.selectOperatinSceneById(id);
	}



	@Override
	public Long insertOperatinScene(OperatinSceneEntity operatinScene){
		return operatinSceneDao.insertOperatinScene(operatinScene);
	}



	@Override
	public Long insertOrUpdateOperatinScene(OperatinSceneEntity operatinScene){
		return operatinSceneDao.insertOrUpdateOperatinScene(operatinScene);
	}



	@Override
	public int updateOperatinSceneById(OperatinSceneEntity operatinScene){
		return operatinSceneDao.updateOperatinSceneById(operatinScene);
	}



	@Override
	public int updateCoverOperatinSceneById(OperatinSceneEntity operatinScene){
		return operatinSceneDao.updateCoverOperatinSceneById(operatinScene);
	}



	@Override
	public int deleteOperatinSceneById(Long id){
		return operatinSceneDao.deleteOperatinSceneById(id);
	}



}
